* PACKAGE ACRSET    !" 座標設定
*
*"  [HIS] 95/08/18 (takepiro) 
*"        96/03/12 (takepiro) 自動倍精度対応
*"        96/10/08 (takepiro) GTOOL 依存切り出し
***********************************************************************
      SUBROUTINE ACRGET         !" 座標設定
     O           (  DX , DZ  )
*
* [PARAM]
#include        "zcdim.F"            !" 格子点数, 波数
*
* [OUTPUT]
      REAL DX                   !" X 軸上の格子点間隔
      REAL DZ                   !" Z 軸上の格子点間隔
*
* [INTERNAL WORK]
      INTEGER  IFPAR , JFPAR    !" NAMELIST 装置番号
      LOGICAL  OFIRST
*
      REAL     XLEN             !" 水平方向の領域の大きさ
      REAL     ZLEN             !" 鉛直方向の領域の大きさ
*
* [NAMELIST]
      REAL     XLNGTH           !" 水平方向(X)の領域の大きさ
      REAL     ZLNGTH           !" 鉛直方向(Z)の領域の大きさ
*
* [NAMELIST DEFAULT]
      NAMELIST  /NMCORD/  XLNGTH, ZLNGTH
      DATA XLNGTH, ZLNGTH  / 8.0, 1.0 /
*
      DATA  OFIRST /.TRUE./
*
      SAVE  XLEN , ZLEN, OFIRST
*
*"   < 1. NAMELIST 読み込み >
*
      IF ( OFIRST ) THEN
         OFIRST = .FALSE.
         CALL   REWNML ( IFPAR , JFPAR )
         READ   ( IFPAR, NMCORD , END=1190 )
 1190    WRITE  ( JFPAR, NMCORD  )
*
         XLEN = XLNGTH
         ZLEN = ZLNGTH
      ENDIF
*
      DX = XLEN / REAL(NX)
      DZ = ZLEN / REAL(NZ+1)
*
      RETURN
      END
